Package org.eclipse.ui.texteditor.quickdiff

# Class ReferenceProviderDescriptor

java.lang.Object
org.eclipse.ui.texteditor.quickdiff.ReferenceProviderDescriptor

public class ReferenceProviderDescriptor extends Object
Describes an extension to the `quickdiff.referenceprovider` extension point.

Since:
  3.0
See Also:
  - `ReferenceSelectionAction`
  - `QuickDiff`

## Constructor Summary

Constructors
Constructor
Description
`ReferenceProviderDescriptor(IConfigurationElement element)`
Creates a new descriptor for `element`.

## Method Summary

Modifier and Type
Method
Description
`IQuickDiffReferenceProvider`
`createProvider()`
Creates a reference provider as described in the extension's xml.
`boolean`
`getDefault()`
Deprecated.
as of 3.2, the default flag should not be used any longer
`String`
`getId()`
Reads (if needed) and returns the id of this extension.
`String`
`getLabel()`
Reads (if needed) and returns the label of this extension.
`boolean`
`isPluginLoaded()`
States whether the plug-in declaring this extension has been loaded already.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReferenceProviderDescriptor

public ReferenceProviderDescriptor(IConfigurationElement element)
Creates a new descriptor for `element`.

This method is for internal use only.

Parameters:
  `element` - the extension point element to be described.

## Method Details

### getLabel

public String getLabel()
Reads (if needed) and returns the label of this extension.

Returns:
  the label for this extension.

### getId

public String getId()
Reads (if needed) and returns the id of this extension.

Returns:
  the id for this extension.

### createProvider

public IQuickDiffReferenceProvider createProvider()
Creates a reference provider as described in the extension's xml. Sets the id on the provider.

Returns:
  a new instance of the reference provider described by this descriptor.

### isPluginLoaded

public boolean isPluginLoaded()
States whether the plug-in declaring this extension has been loaded already.

Returns:
  `true` if the extension point's plug-in has been loaded, `false` otherwise.

### getDefault

@Deprecated public boolean getDefault()
Deprecated.
as of 3.2, the default flag should not be used any longer
Reads (if needed) and returns the default attribute value of this extension.

Returns:
  the default attribute value for this extension.